package com.youchain.modules.quartz.task;

import com.alibaba.fastjson.JSONObject;
import com.youchain.utils.BaseCode;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class configTask {
    public void configBaseCode(String req) {
        JSONObject body=JSONObject.parseObject(req);
        BaseCode.MLS_PW=body.getString("MLS_PW");
        BaseCode.MLS_UN=body.getString("MLS_UN");
        BaseCode.MLS_IP=body.getString("MLS_IP");
        BaseCode.PLC_PORT=body.getIntValue("PLC_PORT");
        BaseCode.PLC_IP=body.getString("PLC_IP");
        BaseCode.PICK_YH_QR=body.getString("PICK_YH_QR");
    }
}
